Open SCAP Library

Data Structures | Macros | Functions | Variables
oval_probe_impl.h File Reference

OVAL probe interface private header. More...

`#include <seap-types.h>`
`#include "oval_definitions_impl.h"`
`#include "oval_agent_api_impl.h"`
`#include "oval_parser_impl.h"`
`#include "public/oval_system_characteristics.h"`
`#include "../common/util.h"`
`#include "public/oval_probe.h"`
`#include "probes/_probe-api.h"`
`#include "public/oval_probe_session.h"`
`#include "public/oval_probe_handler.h"`

Go to the source code of this file.

## Data Structures
struct | oval_subtypedsc_t

## Macros
#define | OVAL_PROBE_IMPL_H
#define | OVAL_PROBE_SCHEME "pipe"
#define | OVAL_PROBE_DIR "/usr/libexec/openscap"
#define | OVAL_PROBE_MAXRETRY 0

## Functions
int | oval_probe_query_test (oval_probe_session_t *sess, struct oval_test *test)
probe_ncache_t * | OSCAP_GSYM (ncache)
void | oval_probe_tblinit (void)
const char * | oval_subtype_to_str (oval_subtype_t subtype)
oval_subtype_t | oval_str_to_subtype (const char *str)
int | oval_probe_hint_definition (oval_probe_session_t *sess, struct oval_definition *definition, int variable_instance_hint)
| Finds all the oval_syschars (collected objects) assigned with a given definition and sets the variable_instance_hint attribute thereof. More...

## Variables
| OSCAP_HIDDEN_START
| OSCAP_HIDDEN_END

## Detailed Description

OVAL probe interface private header.

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m